Index: trunk/lib/FlairCore/src/Map.h
===================================================================
--- trunk/lib/FlairCore/src/Map.h	(revision 14)
+++ trunk/lib/FlairCore/src/Map.h	(revision 15)
@@ -17,72 +17,69 @@
 #include <stdint.h>
 
-namespace flair
-{
-namespace core
-{
-    class GeoCoordinate;
+namespace flair {
+namespace core {
+class GeoCoordinate;
 }
 
-namespace gui
-{
+namespace gui {
 
-    class LayoutPosition;
+class LayoutPosition;
 
-    /*! \class Map
-    *
-    * \brief Class displaying a GPS map on the ground station
-    *
-    */
-    class Map: public SendData
-    {
-        public:
-            /*!
-            * \brief Constructor
-            *
-            * Construct a map at given position. \n
-            * The Map will automatically be child of position->getLayout() Layout. After calling this constructor,
-            * position will be deleted as it is no longer usefull.
-            *
-            * \param position position to draw map
-            * \param name name
-            */
-            Map(const LayoutPosition* position,std::string name);
+/*! \class Map
+*
+* \brief Class displaying a GPS map on the ground station
+*
+*/
+class Map : public SendData {
+public:
+  /*!
+  * \brief Constructor
+  *
+  * Construct a map at given position. \n
+  * The Map will automatically be child of position->getLayout() Layout. After
+  *calling this constructor,
+  * position will be deleted as it is no longer usefull.
+  *
+  * \param position position to draw map
+  * \param name name
+  */
+  Map(const LayoutPosition *position, std::string name);
 
-            /*!
-            * \brief Destructor
-            *
-            */
-            ~Map();
+  /*!
+  * \brief Destructor
+  *
+  */
+  ~Map();
 
-            /*!
-            * \brief Add a point to the map
-            *
-            * \param point point to draw
-            * \param name name
-            */
-            void AddPoint(const core::GeoCoordinate* point,std::string name="");
+  /*!
+  * \brief Add a point to the map
+  *
+  * \param point point to draw
+  * \param name name
+  */
+  void AddPoint(const core::GeoCoordinate *point, std::string name = "");
 
-            /*!
-            * \brief Copy datas to specified buffer
-            *
-            * Reimplemented from SendData.
-            *
-            * \param buf output buffer
-            */
-            void CopyDatas(char* buf) const;
+  /*!
+  * \brief Copy datas to specified buffer
+  *
+  * Reimplemented from SendData.
+  *
+  * \param buf output buffer
+  */
+  void CopyDatas(char *buf) const;
 
-        private:
-            /*!
-            * \brief Extra Xml event
-            *
-            * Reimplemented from SendData.
-            */
-            void ExtraXmlEvent(void);
+private:
+  /*!
+  * \brief Extra Xml event
+  *
+  * Reimplemented from SendData.
+  */
+  void ExtraXmlEvent(void);
 
-            std::vector<core::GeoCoordinate*> checkpoints;
-            std::vector<const core::GeoCoordinate*> to_draw;
-            //std::vector<xmlNodePtr> checkpoints_node;
-            //bool init;
-    };
+  std::vector<core::GeoCoordinate *> checkpoints;
+  std::vector<const core::GeoCoordinate *> to_draw;
+  // std::vector<xmlNodePtr> checkpoints_node;
+  // bool init;
+};
 
 } // end namespace gui
Index: trunk/lib/FlairCore/src/Mutex.cpp
===================================================================
--- trunk/lib/FlairCore/src/Mutex.cpp	(revision 14)
+++ trunk/lib/FlairCore/src/Mutex.cpp	(revision 15)
@@ -21,28 +21,17 @@
 using std::string;
 
-namespace flair
-{
-namespace core
-{
+namespace flair {
+namespace core {
 
-Mutex::Mutex(const Object *parent,string name): Object(parent, name,"mutex")
-{
-    pimpl_=new Mutex_impl(this);
+Mutex::Mutex(const Object *parent, string name)
+    : Object(parent, name, "mutex") {
+  pimpl_ = new Mutex_impl(this);
 }
 
-Mutex::~Mutex()
-{
-    delete pimpl_;
-}
+Mutex::~Mutex() { delete pimpl_; }
 
-void Mutex::GetMutex(void) const
-{
-    pimpl_->GetMutex();
-}
+void Mutex::GetMutex(void) const { pimpl_->GetMutex(); }
 
-void Mutex::ReleaseMutex(void) const
-{
-    pimpl_->ReleaseMutex();
-}
+void Mutex::ReleaseMutex(void) const { pimpl_->ReleaseMutex(); }
 
 /*
Index: trunk/lib/FlairCore/src/Mutex.h
===================================================================
--- trunk/lib/FlairCore/src/Mutex.h	(revision 14)
+++ trunk/lib/FlairCore/src/Mutex.h	(revision 15)
@@ -19,54 +19,51 @@
 class ConditionVariable_impl;
 
-namespace flair
-{
-namespace core
-{
+namespace flair {
+namespace core {
 
-    /*! \class Mutex
-    *
-    * \brief Class defining a mutex
-    *
-    */
-    class Mutex: public Object
-    {
-        friend class ::ConditionVariable_impl;
+/*! \class Mutex
+*
+* \brief Class defining a mutex
+*
+*/
+class Mutex : public Object {
+  friend class ::ConditionVariable_impl;
 
-        public:
-            /*!
-            * \brief Constructor
-            *
-            * Construct a mutex.
-            *
-            * \param parent parent
-            * \param name name
-            */
-            Mutex(const Object *parent,std::string name="");
+public:
+  /*!
+  * \brief Constructor
+  *
+  * Construct a mutex.
+  *
+  * \param parent parent
+  * \param name name
+  */
+  Mutex(const Object *parent, std::string name = "");
 
-            /*!
-            * \brief Destructor
-            *
-            */
-            ~Mutex();
+  /*!
+  * \brief Destructor
+  *
+  */
+  ~Mutex();
 
-            /*!
-            * \brief GetMutex
-            *
-            * Lock the mutex.
-            *
-            */
-            void GetMutex(void) const;
+  /*!
+  * \brief GetMutex
+  *
+  * Lock the mutex.
+  *
+  */
+  void GetMutex(void) const;
 
-            /*!
-            * \brief ReleaseMutex
-            *
-            * Unlock the mutex.
-            *
-            */
-            void ReleaseMutex(void) const;
+  /*!
+  * \brief ReleaseMutex
+  *
+  * Unlock the mutex.
+  *
+  */
+  void ReleaseMutex(void) const;
 
-        private:
-            class Mutex_impl* pimpl_;
-    };
+private:
+  class Mutex_impl *pimpl_;
+};
 
 } // end namespace core
Index: trunk/lib/FlairCore/src/Mutex_impl.cpp
===================================================================
--- trunk/lib/FlairCore/src/Mutex_impl.cpp	(revision 14)
+++ trunk/lib/FlairCore/src/Mutex_impl.cpp	(revision 15)
@@ -23,65 +23,61 @@
 using namespace flair::core;
 
-Mutex_impl::Mutex_impl(Mutex *self)
-{
-    this->self=self;
+Mutex_impl::Mutex_impl(Mutex *self) {
+  this->self = self;
 #ifdef __XENO__
-    int status=rt_mutex_create(&mutex,NULL);
-    if(status!=0) self->Err("rt_mutex_create error (%s)\n",strerror(-status));
+  int status = rt_mutex_create(&mutex, NULL);
+  if (status != 0)
+    self->Err("rt_mutex_create error (%s)\n", strerror(-status));
 #else
-    //flag_locked=false;//revoir l'implementation nrt du is_locked
-    pthread_mutexattr_t attr;
-    if(pthread_mutexattr_init(&attr)!=0)
-    {
-        self->Err("pthread_mutexattr_init error\n");
-    }
-    if(pthread_mutexattr_settype(&attr, PTHREAD_MUTEX_RECURSIVE) != 0)
-    {
-        self->Err("pthread_mutexattr_settype error\n");
-    }
-    if(pthread_mutex_init(&mutex, &attr)!=0)
-    {
-        self->Err("pthread_mutex_init error\n");
-    }
-    if(pthread_mutexattr_destroy(&attr)!=0)
-    {
-        self->Err("pthread_mutexattr_destroy error\n");
-    }
+  // flag_locked=false;//revoir l'implementation nrt du is_locked
+  pthread_mutexattr_t attr;
+  if (pthread_mutexattr_init(&attr) != 0) {
+    self->Err("pthread_mutexattr_init error\n");
+  }
+  if (pthread_mutexattr_settype(&attr, PTHREAD_MUTEX_RECURSIVE) != 0) {
+    self->Err("pthread_mutexattr_settype error\n");
+  }
+  if (pthread_mutex_init(&mutex, &attr) != 0) {
+    self->Err("pthread_mutex_init error\n");
+  }
+  if (pthread_mutexattr_destroy(&attr) != 0) {
+    self->Err("pthread_mutexattr_destroy error\n");
+  }
 #endif
 }
 
-Mutex_impl::~Mutex_impl()
-{
-    int status;
+Mutex_impl::~Mutex_impl() {
+  int status;
 #ifdef __XENO__
-    status=rt_mutex_delete(&mutex);
+  status = rt_mutex_delete(&mutex);
 #else
-    status=pthread_mutex_destroy(&mutex);
+  status = pthread_mutex_destroy(&mutex);
 #endif
-    if(status!=0) self->Err("error destroying mutex (%s)\n",strerror(-status));
+  if (status != 0)
+    self->Err("error destroying mutex (%s)\n", strerror(-status));
 }
 
-void Mutex_impl::GetMutex(void)
-{
-    int status;
+void Mutex_impl::GetMutex(void) {
+  int status;
 #ifdef __XENO__
-    status=rt_mutex_acquire(&mutex,TM_INFINITE);
+  status = rt_mutex_acquire(&mutex, TM_INFINITE);
 #else
-    //flag_locked=true;
-    status=pthread_mutex_lock(&mutex);
+  // flag_locked=true;
+  status = pthread_mutex_lock(&mutex);
 #endif
-    if(status!=0) self->Err("error (%s)\n",strerror(-status));
+  if (status != 0)
+    self->Err("error (%s)\n", strerror(-status));
 }
 
-void Mutex_impl::ReleaseMutex(void)
-{
-    int status;
+void Mutex_impl::ReleaseMutex(void) {
+  int status;
 #ifdef __XENO__
-    status=rt_mutex_release(&mutex);
+  status = rt_mutex_release(&mutex);
 #else
-    status=pthread_mutex_unlock(&mutex);
-    //flag_locked=false;
+  status = pthread_mutex_unlock(&mutex);
+// flag_locked=false;
 #endif
-    if(status!=0) self->Err("error (%s)\n",strerror(-status));
+  if (status != 0)
+    self->Err("error (%s)\n", strerror(-status));
 }
 
@@ -92,5 +88,6 @@
     RT_MUTEX_INFO info;
     int status=rt_mutex_inquire(&mutex_rt,&info);
-    if(status!=0) mutex->Err("erreur rt_mutex_inquire (%s)\n",strerror(-status));
+    if(status!=0) mutex->Err("erreur rt_mutex_inquire
+(%s)\n",strerror(-status));
     if(info.locked>0) return true;
     return false;
Index: trunk/lib/FlairCore/src/Object.cpp
===================================================================
--- trunk/lib/FlairCore/src/Object.cpp	(revision 14)
+++ trunk/lib/FlairCore/src/Object.cpp	(revision 15)
@@ -33,129 +33,111 @@
 using std::vector;
 
-namespace flair
-{
-namespace core
-{
+namespace flair {
+namespace core {
 
-Time GetTime(void)
-{
+Time GetTime(void) {
 #ifdef __XENO__
-    return rt_timer_read();
+  return rt_timer_read();
 #else
-    struct timeval t;
-    gettimeofday(&t, NULL);
-    return (Time)((Time)(t.tv_sec)*1000000 + (Time)(t.tv_usec))*1000;
+  struct timeval t;
+  gettimeofday(&t, NULL);
+  return (Time)((Time)(t.tv_sec) * 1000000 + (Time)(t.tv_usec)) * 1000;
 
 #endif
 }
 
-void Printf(const char *format, ...)
-{
-    va_list args;
-    va_start(args, format);
+void Printf(const char *format, ...) {
+  va_list args;
+  va_start(args, format);
 #ifdef __XENO__
-    if(rt_task_self()!=NULL)
-    {
-        rt_vfprintf(stderr,format, args);
-    }
-    else
+  if (rt_task_self() != NULL) {
+    rt_vfprintf(stderr, format, args);
+  } else
 #endif
-    {
-        vfprintf(stderr,format, args);
-    }
+  {
+    vfprintf(stderr, format, args);
+  }
 
-    va_end (args);
+  va_end(args);
 }
 
-Object::Object(const Object* parent,string name,string type)
-{
-    pimpl_=new Object_impl(this,parent,name,type);
-    if(parent!=NULL) parent->pimpl_->AddChild(this);
+Object::Object(const Object *parent, string name, string type) {
+  pimpl_ = new Object_impl(this, parent, name, type);
+  if (parent != NULL)
+    parent->pimpl_->AddChild(this);
 }
 
-Object::~Object()
-{
-    if(pimpl_->parent!=NULL) pimpl_->parent->pimpl_->RemoveChild(this);
-    delete pimpl_;
+Object::~Object() {
+  if (pimpl_->parent != NULL)
+    pimpl_->parent->pimpl_->RemoveChild(this);
+  delete pimpl_;
 }
 
-string Object::ObjectName(void) const
-{
-    return pimpl_->name;
+string Object::ObjectName(void) const { return pimpl_->name; }
+
+string Object::ObjectType(void) const { return pimpl_->type; }
+
+const Object *Object::Parent(void) const { return pimpl_->parent; }
+
+vector<const Object *> *Object::TypeChilds(void) const {
+  return &(pimpl_->type_childs);
 }
 
-string Object::ObjectType(void) const
-{
-    return pimpl_->type;
+vector<const Object *> *Object::Childs(void) const { return &(pimpl_->childs); }
+
+void Object::ColorPrintf(color_t color, const char *function, int line,
+                         const char *format, va_list *args) const {
+#ifdef __XENO__
+  if (rt_task_self() != NULL) {
+    rt_fprintf(stderr, "\033[%dm", color);
+    if (line) {
+      rt_fprintf(stderr, "%s - line %d, %s: ", function, line,
+                 pimpl_->name.c_str());
+    } else {
+      rt_fprintf(stderr, "%s, %s: ", function, pimpl_->name.c_str());
+    }
+    rt_vfprintf(stderr, format, *args);
+    rt_fprintf(stderr, "\033[%dm", color_t::Auto);
+  } else
+#endif
+  {
+    fprintf(stderr, "\033[%dm", color);
+    if (line) {
+      fprintf(stderr, "%s - line %d, %s: ", function, line,
+              pimpl_->name.c_str());
+    } else {
+      fprintf(stderr, "%s, %s: ", function, pimpl_->name.c_str());
+    }
+    vfprintf(stderr, format, *args);
+    fprintf(stderr, "\033[%dm", color_t::Auto);
+  }
 }
 
-const Object* Object::Parent(void) const
-{
-    return pimpl_->parent;
-}
-
-vector<const Object*>* Object::TypeChilds(void) const
-{
-    return &(pimpl_->type_childs);
-}
-
-vector<const Object*>* Object::Childs(void) const
-{
-    return &(pimpl_->childs);
-}
-
-void Object::ColorPrintf(color_t color, const char *function, int line, const char *format,va_list *args) const {
-#ifdef __XENO__
-    if(rt_task_self()!=NULL)
-    {
-        rt_fprintf(stderr,"\033[%dm", color);
-        if (line) {
-            rt_fprintf(stderr,"%s - line %d, %s: ", function, line, pimpl_->name.c_str());
-        } else {
-            rt_fprintf(stderr,"%s, %s: ", function, pimpl_->name.c_str());
-        }
-        rt_vfprintf(stderr,format, *args);
-        rt_fprintf(stderr,"\033[%dm", color_t::Auto);
-    }
-    else
-#endif
-    {
-        fprintf(stderr,"\033[%dm", color);
-        if (line) {
-            fprintf(stderr,"%s - line %d, %s: ", function, line, pimpl_->name.c_str());
-        } else {
-            fprintf(stderr,"%s, %s: ", function, pimpl_->name.c_str());
-        }
-        vfprintf(stderr,format, *args);
-        fprintf(stderr,"\033[%dm", color_t::Auto);
-    }
-}
-
-void Object::Information(const char *function, int line, const char *format, ...) const {
-    va_list args;
-    va_start(args, format);
-    ColorPrintf(color_t::Green, function, line, format, &args);
-    va_end (args);
+void Object::Information(const char *function, int line, const char *format,
+                         ...) const {
+  va_list args;
+  va_start(args, format);
+  ColorPrintf(color_t::Green, function, line, format, &args);
+  va_end(args);
 }
 
 void Object::Warning(const char *function, const char *format, ...) const {
-    va_list args;
-    va_start(args, format);
-    ColorPrintf(color_t::Orange, function, 0, format, &args);
-    va_end (args);
+  va_list args;
+  va_start(args, format);
+  ColorPrintf(color_t::Orange, function, 0, format, &args);
+  va_end(args);
 }
 
 void Object::Error(const char *function, const char *format, ...) const {
-    va_list args;
-    va_start(args, format);
-    ColorPrintf(color_t::Red, function, 0, format, &args);
-    va_end (args);
+  va_list args;
+  va_start(args, format);
+  ColorPrintf(color_t::Red, function, 0, format, &args);
+  va_end(args);
 
-    pimpl_->error_occured=true;
+  pimpl_->error_occured = true;
 }
 
-bool Object::ErrorOccured(bool recursive) const
-{
-    return pimpl_->ErrorOccured(recursive);
+bool Object::ErrorOccured(bool recursive) const {
+  return pimpl_->ErrorOccured(recursive);
 }
 
Index: trunk/lib/FlairCore/src/Object.h
===================================================================
--- trunk/lib/FlairCore/src/Object.h	(revision 14)
+++ trunk/lib/FlairCore/src/Object.h	(revision 15)
@@ -18,7 +18,7 @@
 #include <stdarg.h>
 
-#define Warn(...) Warning(__PRETTY_FUNCTION__,__VA_ARGS__)
-#define Err(...) Error(__PRETTY_FUNCTION__,__VA_ARGS__)
-#define Info(...) Information(__PRETTY_FUNCTION__,__LINE__,__VA_ARGS__)
+#define Warn(...) Warning(__PRETTY_FUNCTION__, __VA_ARGS__)
+#define Err(...) Error(__PRETTY_FUNCTION__, __VA_ARGS__)
+#define Info(...) Information(__PRETTY_FUNCTION__, __LINE__, __VA_ARGS__)
 
 #define TIME_INFINITE 0
@@ -28,168 +28,166 @@
 class Widget_impl;
 
-namespace flair
-{
-namespace core
-{
+namespace flair {
+namespace core {
 
-    class FrameworkManager;
+class FrameworkManager;
 
-    class Message {
-    public:
-        Message(unsigned int myBufferSize):bufferSize(myBufferSize) {
-            buffer=new char[bufferSize];
-        }
-        ~Message() {
-            delete buffer;
-        }
-        char *buffer;
-        size_t bufferSize;
-    };
+class Message {
+public:
+  Message(unsigned int myBufferSize) : bufferSize(myBufferSize) {
+    buffer = new char[bufferSize];
+  }
+  ~Message() { delete buffer; }
+  char *buffer;
+  size_t bufferSize;
+};
 
-    /*!
-    * \brief Time definition, in ns
-    *
-    */
-    typedef unsigned long long Time;
+/*!
+* \brief Time definition, in ns
+*
+*/
+typedef unsigned long long Time;
 
-    /*!
-    * \brief Time
-    *
-    * \return actual time in ns (origin depends on whether the method is compiled in hard real time mode or not. As a conquence, only time differences should be used)
-    */
-    Time GetTime(void);
+/*!
+* \brief Time
+*
+* \return actual time in ns (origin depends on whether the method is compiled in
+*hard real time mode or not. As a conquence, only time differences should be
+*used)
+*/
+Time GetTime(void);
 
-    /*!
-    * \brief Formatted print
-    *
-    * See standard printf for syntax.
-    *
-    * \param format text string to display
-    */
-    void Printf(const char *format, ...);
+/*!
+* \brief Formatted print
+*
+* See standard printf for syntax.
+*
+* \param format text string to display
+*/
+void Printf(const char *format, ...);
 
-    /*! \class Object
-    *
-    * \brief Base class for all Framework's classes
-    *
-    * This is the base class for all other classes. \n
-    * It handles parent/child links and thus allow auto destruction of childs.
-    *
-    */
-    class Object
-    {
-        friend class ::Widget_impl;
+/*! \class Object
+*
+* \brief Base class for all Framework's classes
+*
+* This is the base class for all other classes. \n
+* It handles parent/child links and thus allow auto destruction of childs.
+*
+*/
+class Object {
+  friend class ::Widget_impl;
 
-        public:
-            typedef enum {
-                Auto=0,
-                Red=31,
-                Green=32,
-                Orange=33
-            } color_t;
-            /*!
-            * \brief Constructor
-            *
-            * Construct an Object, which is child of its parent.
-            *
-            * \param parent parent
-            * \param name name
-            * \param type type
-            */
-            Object(const Object* parent=NULL,std::string name="",std::string type="");
+public:
+  typedef enum { Auto = 0, Red = 31, Green = 32, Orange = 33 } color_t;
+  /*!
+  * \brief Constructor
+  *
+  * Construct an Object, which is child of its parent.
+  *
+  * \param parent parent
+  * \param name name
+  * \param type type
+  */
+  Object(const Object *parent = NULL, std::string name = "",
+         std::string type = "");
 
-            /*!
-            * \brief Destructor
-            *
-            * Calling it will automatically destruct all childs.
-            *
-            */
-            virtual ~Object();
+  /*!
+  * \brief Destructor
+  *
+  * Calling it will automatically destruct all childs.
+  *
+  */
+  virtual ~Object();
 
-            /*!
-            * \brief Name
-            *
-            * \return Object's name
-            */
-            std::string ObjectName(void) const;
+  /*!
+  * \brief Name
+  *
+  * \return Object's name
+  */
+  std::string ObjectName(void) const;
 
-            /*!
-            * \brief Type
-            *
-            * \return Object's type
-            */
-            std::string ObjectType(void) const;
+  /*!
+  * \brief Type
+  *
+  * \return Object's type
+  */
+  std::string ObjectType(void) const;
 
-            /*!
-            * \brief Parent
-            *
-            * \return Object's parent
-            */
-            const Object* Parent(void) const;
+  /*!
+  * \brief Parent
+  *
+  * \return Object's parent
+  */
+  const Object *Parent(void) const;
 
-            /*!
-            * \brief Childs of the same type
-            *
-            * \return a vector of all childs of the same type
-            */
-            std::vector<const Object*>* TypeChilds(void) const;
+  /*!
+  * \brief Childs of the same type
+  *
+  * \return a vector of all childs of the same type
+  */
+  std::vector<const Object *> *TypeChilds(void) const;
 
-            /*!
-            * \brief Childs
-            *
-            * \return a vector of all childs
-            */
-            std::vector<const Object*>* Childs(void) const;
+  /*!
+  * \brief Childs
+  *
+  * \return a vector of all childs
+  */
+  std::vector<const Object *> *Childs(void) const;
 
-            /*!
-            * \brief Formatted information
-            *
-            * Green colored Printf(). \n
-            * Note that it is better to call Info macro, which automatically fills function parameter.
-            *
-            * \param function name of calling function
-            * \param line line number in calling function
-            * \param format text string to display
-            */
-            void Information(const char *function, int line, const char *format, ...) const;
+  /*!
+  * \brief Formatted information
+  *
+  * Green colored Printf(). \n
+  * Note that it is better to call Info macro, which automatically fills
+  *function parameter.
+  *
+  * \param function name of calling function
+  * \param line line number in calling function
+  * \param format text string to display
+  */
+  void Information(const char *function, int line, const char *format,
+                   ...) const;
 
-            /*!
-            * \brief Formatted warning
-            *
-            * Orange colored Printf(). \n
-            * Note that it is better to call Warn macro, which automatically fills function parameter.
-            *
-            * \param function name of calling function
-            * \param format text string to display
-            */
-            void Warning(const char *function,const char *format, ...) const;
+  /*!
+  * \brief Formatted warning
+  *
+  * Orange colored Printf(). \n
+  * Note that it is better to call Warn macro, which automatically fills
+  *function parameter.
+  *
+  * \param function name of calling function
+  * \param format text string to display
+  */
+  void Warning(const char *function, const char *format, ...) const;
 
-            /*!
-            * \brief Formatted error
-            *
-            * Red colored Printf(). \n
-            * Note that it is better to call Err macro, which automatically fills function parameter. \n
-            * After calling this method, ErrorOccured() will always return true.
-            *
-            * \param function name of calling function
-            * \param format text string to display
-            */
-            void Error(const char *function,const char *format, ...) const;
+  /*!
+  * \brief Formatted error
+  *
+  * Red colored Printf(). \n
+  * Note that it is better to call Err macro, which automatically fills function
+  *parameter. \n
+  * After calling this method, ErrorOccured() will always return true.
+  *
+  * \param function name of calling function
+  * \param format text string to display
+  */
+  void Error(const char *function, const char *format, ...) const;
 
-            /*!
-            * \brief Has an errror occured?
-            *
-            * Check if an error occured, in fact if Error() was called at least once. \n
-            * Once Error() was called, this method will never return back false.
-            *
-            * \param recursive if true, recursively check among childs
-            * \return true if an error occured
-            */
-            bool ErrorOccured(bool recursive=true) const;
+  /*!
+  * \brief Has an errror occured?
+  *
+  * Check if an error occured, in fact if Error() was called at least once. \n
+  * Once Error() was called, this method will never return back false.
+  *
+  * \param recursive if true, recursively check among childs
+  * \return true if an error occured
+  */
+  bool ErrorOccured(bool recursive = true) const;
 
-        private:
-            class Object_impl* pimpl_;
-            void ColorPrintf(color_t, const char *function, int line, const char *format, va_list *args) const;
-    };
+private:
+  class Object_impl *pimpl_;
+  void ColorPrintf(color_t, const char *function, int line, const char *format,
+                   va_list *args) const;
+};
 
 } // end namespace core
Index: trunk/lib/FlairCore/src/Object_impl.cpp
===================================================================
--- trunk/lib/FlairCore/src/Object_impl.cpp	(revision 14)
+++ trunk/lib/FlairCore/src/Object_impl.cpp	(revision 15)
@@ -23,81 +23,74 @@
 using namespace flair::core;
 
-Object_impl::Object_impl(const Object* self,const Object* parent,string name,string type)
-{
-    //Printf("Object %s\n",name.c_str());
-    this->self=self;
-    this->parent=parent;
-    this->name=name;
-    this->type=type;
-    error_occured=false;
+Object_impl::Object_impl(const Object *self, const Object *parent, string name,
+                         string type) {
+  // Printf("Object %s\n",name.c_str());
+  this->self = self;
+  this->parent = parent;
+  this->name = name;
+  this->type = type;
+  error_occured = false;
 
-    if(parent!=NULL)
-    {
-        if(name=="") this->name=parent->ObjectName();
-    }
+  if (parent != NULL) {
+    if (name == "")
+      this->name = parent->ObjectName();
+  }
 }
 
-Object_impl::~Object_impl()
-{
-    //Printf("destruction Object %s %s\n",name.c_str(),type.c_str());
+Object_impl::~Object_impl() {
+  // Printf("destruction Object %s %s\n",name.c_str(),type.c_str());
 
-    while(childs.size()!=0)
-    {
-        //Printf("child %i %s %s\n",childs.size(),childs.front()->ObjectName().c_str(),childs.front()->ObjectType().c_str());
-        //if(childs.front()!=NULL)
-        delete childs.front();
-    }
+  while (childs.size() != 0) {
+    // Printf("child %i %s
+    // %s\n",childs.size(),childs.front()->ObjectName().c_str(),childs.front()->ObjectType().c_str());
+    // if(childs.front()!=NULL)
+    delete childs.front();
+  }
 
-    if(type_childs.size()!=0)
-    {
-        type_childs.clear();
-        self->Warn("type_childs not cleared\n");
-    }
+  if (type_childs.size() != 0) {
+    type_childs.clear();
+    self->Warn("type_childs not cleared\n");
+  }
 
-    //Printf("destruction Object %s %s ok\n",name.c_str(),type.c_str());
+  // Printf("destruction Object %s %s ok\n",name.c_str(),type.c_str());
 }
 
-void Object_impl::AddChild(const Object* child)
-{
-    childs.push_back(child);
-//self->Printf("added Object %s %s (%s %s)\n",child->ObjectName().c_str(),child->ObjectType().c_str(),name.c_str(),type.c_str());
-    if(child->ObjectType()==type) type_childs.push_back(child);
+void Object_impl::AddChild(const Object *child) {
+  childs.push_back(child);
+  // self->Printf("added Object %s %s (%s
+  // %s)\n",child->ObjectName().c_str(),child->ObjectType().c_str(),name.c_str(),type.c_str());
+  if (child->ObjectType() == type)
+    type_childs.push_back(child);
 }
 
-void Object_impl::RemoveChild(const Object* child)
-{
-    //self->Printf("removed Object %s %s (%s %s)\n",child->ObjectName().c_str(),child->ObjectType().c_str(),name.c_str(),type.c_str());
+void Object_impl::RemoveChild(const Object *child) {
+  // self->Printf("removed Object %s %s (%s
+  // %s)\n",child->ObjectName().c_str(),child->ObjectType().c_str(),name.c_str(),type.c_str());
 
-    for(vector<const Object*>::iterator it=childs.begin() ; it < childs.end(); it++ )
-    {
-        if(*it==child)
-        {
-            childs.erase (it);
-            break;
-        }
+  for (vector<const Object *>::iterator it = childs.begin(); it < childs.end();
+       it++) {
+    if (*it == child) {
+      childs.erase(it);
+      break;
     }
+  }
 
-    for(vector<const Object*>::iterator it=type_childs.begin() ; it < type_childs.end(); it++ )
-    {
-        if(*it==child)
-        {
-            type_childs.erase (it);
-            break;
-        }
+  for (vector<const Object *>::iterator it = type_childs.begin();
+       it < type_childs.end(); it++) {
+    if (*it == child) {
+      type_childs.erase(it);
+      break;
     }
+  }
 }
 
-bool Object_impl::ErrorOccured(bool recursive)
-{
-    if(recursive==true)
-    {
-        for(size_t i=0;i<childs.size();i++)
-        {
-            if(childs[i]->ErrorOccured(true)==true)
-            {
-                return true;
-            }
-        }
+bool Object_impl::ErrorOccured(bool recursive) {
+  if (recursive == true) {
+    for (size_t i = 0; i < childs.size(); i++) {
+      if (childs[i]->ErrorOccured(true) == true) {
+        return true;
+      }
     }
-    return error_occured;
+  }
+  return error_occured;
 }
Index: trunk/lib/FlairCore/src/OneAxisRotation.cpp
===================================================================
--- trunk/lib/FlairCore/src/OneAxisRotation.cpp	(revision 14)
+++ trunk/lib/FlairCore/src/OneAxisRotation.cpp	(revision 15)
@@ -16,9 +16,9 @@
 /*********************************************************************/
 
-//this "filter" is in core but it should be in filter
-//filter depends on sensoractuator
-//sensoractuators depends on oneaxisrotation
-//so if oneaxisrotation is in fiter we have a circular dependency
-//TODO: fix this!
+// this "filter" is in core but it should be in filter
+// filter depends on sensoractuator
+// sensoractuators depends on oneaxisrotation
+// so if oneaxisrotation is in fiter we have a circular dependency
+// TODO: fix this!
 
 #include "OneAxisRotation.h"
@@ -29,35 +29,29 @@
 using std::string;
 
-namespace flair
-{
-namespace core
-{
+namespace flair {
+namespace core {
 
-OneAxisRotation::OneAxisRotation(const gui::LayoutPosition* position,string name): gui::GroupBox(position,name)
-{
-    pimpl_=new OneAxisRotation_impl(this);
+OneAxisRotation::OneAxisRotation(const gui::LayoutPosition *position,
+                                 string name)
+    : gui::GroupBox(position, name) {
+  pimpl_ = new OneAxisRotation_impl(this);
 }
 
-OneAxisRotation::~OneAxisRotation()
-{
-    delete pimpl_;
+OneAxisRotation::~OneAxisRotation() { delete pimpl_; }
+
+void OneAxisRotation::ComputeRotation(Vector3D &vector) const {
+  pimpl_->ComputeRotation(vector);
 }
 
-void OneAxisRotation::ComputeRotation(Vector3D& vector) const
-{
-    pimpl_->ComputeRotation(vector);
+void OneAxisRotation::ComputeRotation(Euler &euler) const {
+  pimpl_->ComputeRotation(euler);
 }
 
-void OneAxisRotation::ComputeRotation(Euler& euler) const
-{
-    pimpl_->ComputeRotation(euler);
+void OneAxisRotation::ComputeRotation(Quaternion &quaternion) const {
+  pimpl_->ComputeRotation(quaternion);
 }
 
-void OneAxisRotation::ComputeRotation(Quaternion& quaternion) const {
-    pimpl_->ComputeRotation(quaternion);
-}
-
-void OneAxisRotation::ComputeRotation(RotationMatrix& matrix) const {
-    pimpl_->ComputeRotation(matrix);
+void OneAxisRotation::ComputeRotation(RotationMatrix &matrix) const {
+  pimpl_->ComputeRotation(matrix);
 }
 
